The Portacle

Portacle Neuro CN-X Software Upgrade (Mac only)

This is the software needed to upgrade the Portacle Neuro to the latest CN-X version.  You must already have the Portacle Neuro software installed on your system in addition to having a Psiolink Neuroband.  The Portacle CN-X Module is also required to run this software.  It can be ordered separately in our online store.

Upon ordering, you will receive an email with download and installation instructions along with an activation code.  Be sure to enter your email address.  For more information, see Portacle Neuro CN-X in the Products Section of the website.